# WebUI

本节对服务器的WebUI进行介绍。

## 启用和禁用WebUI

如需禁用WebUI，请在服务器启动时添加如下参数:

- Windows在命令行启动时使用`--hidden`，如下所示：
```
ew.exe --port 8080 --path ./data/ --hidden
```
- Linux在命令行启动时使用`--hidden`，如下所示：
```
ew --port 8080 --path ./data/ --hidden
```

- Docker在启动时将`HIDDEN`环境变量设置为`true`，如下所示：
```
docker run -d \
    --name sif2 \
    -p 8080:8080 \
    -p 8000:8000 \
    -e HIDDEN=true \
    -v ./data:/data \
    -v ./asset:/asset \
    zhushenwudi/lovelive-sif2:1.0.1
```

## WebUI的使用

### 端口号
WebUI的默认端口号为`8080`。

如需更改其端口号，请在服务器启动时使用如下参数。

- Windows在命令行启动时使用`--port <PORT>`，如将端口号改为`12345`，如下所示：
```
ew.exe --port 12345 --path ./data/
```
- Linux在命令行启动时使用`--port <PORT>`，如将端口号改为`12345`，如下所示：
```
ew --port 12345 --path ./data/ 
```

- Docker在启动时将端口映射修改为所需端口号，如将端口号改为`12345`，如下所示：
```
docker run \
    --name sif2 \
    -p 12345:8080 \
    -p 8000:8000 \
    -v ./data:/data \
    -v ./asset:/asset \
    zhushenwudi/lovelive-sif2:1.0.1
```

### 主界面

WebUI的界面如下图所示：

![WebUI主界面](../image/webui_mainwindows.png)

其中包括个人账户登录和导入用户数据和查看帮助等相关信息。


### 个人账户登录及其设置

在主页面输入SIF2 ID和数据迁移密钥即可登录到个人账户设置页面。界面如下图所示：

![用户账户设置](../image/webui_login_setting.png)

其中包括导出用户数据，登出，设置登录奖励列表和设置服务器时间。

#### 导出用户数据
点击导出用户数据，会下载四个文件，这四个文件保存着用户数据，可以在导入用户数据时使用。

#### 登出
点击登出按钮，即可返回登录界面

#### 设置登录奖励列表
你可以增加登录奖励或删除登录奖励。

登录奖励的id的列表请自行查阅。

#### 设置服务器时间
该服务器时间只适用于当前登录账户，你可以更改服务器时间以更改当前卡池和当前活动。

服务器时间的输入可以使用`YYYY/MM/DD`形式，假如你想将时间修改为2023年11月1日，则输入`2023/11/01`即可。

:::tip 参考
1. 可以使用命令行参数`--disable-exports`或环境变量`DISABLE_EXPORTS`禁止服务器导出数据。
2. SIF2 ID和数据迁移密钥的获取请参考[XX](https://example.com)。
:::
### 导入用户数据
导入用户数据为在新的服务器上导入其他服务器的数据。界面如下图所示：

![导入用户数据](../image/webui_import_user_data.png)

选择服务器导出的四个文件和输入对应的数据迁移密钥，点击提交后即可将其他服务器的数据导入到新的服务器。

::: tip 参考
1. 可以使用命令行参数`--disable-imports`或环境变量`DISABLE_IMPORTS`禁止服务器导入数据。
2. 数据迁移密钥的获取可以参考[XX](https://example.com)。
:::

### 帮助页面
帮助页面如下图所示:

![帮助页面](../image/webui_help.jpeg)

帮助页面包括服务器的相关介绍和应用的下载和相关配置。

::: tip 参考
1. 使用命令行参数`--global-android <GLOBAL_ANDROID>`、`--japan-android <JAPAN_ANDROID>`、`--global-ios <GLOBAL_IOS>`、`--japan-ios <JAPAN_IOS>`或环境变量`ANDROID_GLOABL`、`ANDROID_JAPAN`、`IOS_GLOBAL`、`IOS_JAPAN`设置帮助界面中的应用下载地址。
2. 使用命令行参数`--assets-url <ASSETS_URL>`或环境变量`ASSET_URL`设置帮助页面中显示的“Assets URL”。
![帮助页面注意事项](../image/webui_help_info.png)
3. 如何获取预打补丁的apk安装包和ios安装包，请参考[XX](https://example.com)
:::