# Docker
Docker镜像中继承了ew服务器，因此无需额外安装ew服务器。
::: tip 注意
Docker 是一个开源的平台，用于开发、交付和运行应用程序。在使用Docker部署时，以假定使用者已经掌握如何运维一台服务器，同时对容器化的概念和Docker的基础操作有一定了解。否则，请使用其他更加简单的部署方式。
:::
:::tip 注意
本节并未提及如何配置游戏资源服务器，如需配置资源服务器请参考[XX](https://example.com)。
:::

## 获取镜像
```
docker pull zhushenwudi/lovelive-sif2:1.0.1
```

## 运行ew服务器

::: tip 注意
1. ew服务器的游戏端口默认为`8080`，资源服务器端口默认为`8000`。
2. ew服务器的数据存储位置默认为`/data`，本地路径默认为`./data`。
3. ew服务器的游戏资源存储位置默认为`/asset`，本地路径默认为`./asset`。
:::
使用docker运行ew服务器，以下是一个典型的示例：
```
docker run -d \
    --name sif2 \
    -p 8080:8080 \
    -p 8000:8000 \
    -v ./data:/data \
    -v ./asset:/asset \
    zhushenwudi/lovelive-sif2:1.0.1
```

查看状态：
```
docker container stats sif2
```

::: tip 参考
docker的环境变量请参考[环境变量和命令行参数](../variable-argument.md)
:::