# 环境变量和命令行参数

## 介绍

### Docker环境变量

`HTTPS`：是否开启https（默认: false）。

`ENABLE_ASSET_SERVER`：是否开启资源服务器。

`NPPS4_ADDRESS`：Sif NPPS4服务器地址（默认: “127.0.0.1:51376”）。

`MAXTIME`：服务器默认时间（默认: 1736076211），（该时间最大不可超过官方停服时间）。

`HIDDEN`：隐藏WeiUI（默认: false）。

`DISABLE_IMPORTS`：禁止导入账户（默认：false）。

`DISABLE_EXPORTS`：禁止导出账户（默认：false）。

`ANDROID_JAPAN`：帮助页面显示链接到该服务器的日服android应用下载地址。

`ANDROID_GLOABL`：帮助页面显示链接到该服务器的国际服android应用下载地址。

`IOS_JAPAN`：帮助页面显示链接到该服务器的的日服ios应用下载地址。

`IOS_GLOBAL`：帮助页面显示链接到该服务器的国际服ios应用下载地址。

`ASSET_URL`：帮助页面显示的游戏资源下载地址。

### 命令行参数
::: tip 注意
本节所列的变量有可能已经过时，可以通过`ew --help`查看所支持的参数，环境变量与之对应。
:::

`--port <PORT>`: 服务器监听端口(默认: 8080)

`--asset-port <ASSET_PORT>`: 资源服务器监听端口(默认: 8000)

`--path <PATH>`: 数据库存放位置(默认: "./data/")

`--asset-path <ASSET_PATH>`: 游戏资源存放位置(默认: "./asset/")

`--enable-asset-server`: 开启资源服务器。

`--https`: 开启https。

`--npps4 <NPPS4>`: Sif NPPS4服务器地址，用于sif的账户连接(默认:"127.0.0.1:51376")

`--global-android <GLOBAL_ANDROID>`: 帮助页面显示链接到该服务器的国际服android应用下载地址。

`--japan-android <JAPAN_ANDROID>`: 帮助页面显示链接到该服务器的日服android应用下载地址。

`--global-ios <GLOBAL_IOS>`: 帮助页面显示链接到该服务器的国际服ios应用下载地址。

`--japan-ios <JAPAN_IOS>`: 帮助页面显示链接到该服务器的的日服ios应用下载地址。

`--assets-url <ASSETS_URL>`: 帮助页面显示的游戏资源下载地址。

`--max-time <MAX_TIME>`: 服务器默认的初始时间，以时间戳形式返回。（该时间最大不可超过官方停服时间）

`--hidden`: 隐藏Web界面。

`--purge`: 在启动服务器时，清理死亡账户。（死亡账户为账户中无任何卡片）

`--disable-imports`: 禁止账户导入功能。

`--disable-exports`: 禁止账户导出功能。

`--en-ios-asset-hash <EN_IOS_ASSET_HASH>`: 国际服ios客户端资源的hash。

`--jp-ios-asset-hash <JP_IOS_ASSET_HASH>`: 日服ios客户端资源的hash。

`--en-android-asset-hash <EN_ANDROID_ASSET_HASH>`: 国际服android客户端资源的hash。

`--jp-android-asset-hash <JP_ANDROID_ASSET_HASH>`: 日服android客户端资源的hash。


## 如何设置

### Docker
使用`-e`指定环境变量，下例为设置服务器默认时间为1736076200:
```
docker run -d \
    --name sif2 \
    -p 8080:8080 \
    -p 8000:8000 \
    -e MAXTIME=1736076200 \
    -v ./data:/data \
    -v ./asset:/asset \
    zhushenwudi/lovelive-sif2:1.0.1
```
