---
outline: deep
---
# WebUI使用说明 {#WebUI-operation}

## 进入WebUI {#enter-WebUI}
1. 确保服务器已开启WebUI（是否开启可询问服主）。
2. 使用服主提供的服务器网址即可进入WebUI。

##  WebUI使用 {#WebUI-use}

### 主界面 {#main-interface }
WebUI的界面如下图所示：
![WebUI](../image/17.png)
其中包括个人账户登录和导入用户数据和查看帮助等相关信息。

### 个人账户登录 {#account-login}
在主页面输入SIF2 ID和数据迁移密钥即可登录到个人账户设置页面。界面如下图所示：
![WebUI_user](../image/18.png)

### 更改登录奖励 {#login-bonus}
在WebUI个人设置界面的 **当前登录奖励列表** 中添加登录奖励的id即可，登录奖励id的信息请自行查阅。
![登录奖励](../image/19.png)

### 更改游戏服务器时间 {#server-time}
在WebUI个人设置界面的 **服务器时间** 中输入时间，即可更改服务器时间，跳转到指定活动或卡池。
![服务器时间](../image/20.png)
服务器时间的格式为yyyy/MM/dd HH:mm:ss。

例如输入2023/12/01 22:30:30，表示服务器时间更改为2023年12月1日23时30分30秒。

::: tip 注意
服务器时间可以只输入到日期，这时默认为该日期0时0分0秒。

时间的输入请使用24小时制。

活动及卡池信息请自行在wiki查找。
:::

### 跨服迁移数据 {#different-server}
1. 确保服务器开启了 **WebUI**、**导出用户数据** 和 **导入用户数据**。
2. 在导出服务器上进入个人账户设置界面。
3. 在导出服务器上的个人账户设置界面点击右上角的 **导出用户数据**。
![导出用户数据](../image/21.png)
4. 你会获得四个文件，这四个文件即为用户数据文件。
![用户数据文件](../image/22.png)
5. 在导入服务器的WebUI主页面点击 **导入用户数据**。
![导入用户数据](../image/23.png)
6. 选择导出的四个文件，输入数据迁移密钥，点击提交，即可导入用户数据。
![导入数据](../image/24.png)
1. 在游戏中进行数据迁移，方法为[同一服务器不同设备迁移数据](./client_docs#same-server)。